Package: groovy.org.codenarc.rule.exceptions

## [Groovy] Class ReturnNullFromCatchBlockRule

- groovy.org.codenarc.rule.exceptions.ReturnNullFromCatchBlockRule

- Returning null from a catch block often masks errors and requires the client to handle error codes. In some coding styles this is discouraged. This rule ignores methods with void return type.

  Authors:
    Hamlet D'Arcy
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority